changeset 48:0f77e2472d27

Strip binaries.
author Rob Landley <rob@landley.net>
date Mon, 18 Dec 2006 17:58:04 -0500
parents edaa86240321
children 84341b143dbb
files cross-compiler.sh
diffstat 1 files changed, 13 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/cross-compiler.sh	Mon Dec 18 15:39:33 2006 -0500
+++ b/cross-compiler.sh	Mon Dec 18 17:58:04 2006 -0500
@@ -52,8 +52,7 @@
 cd "${CROSS}"/bin &&
 for i in "${CROSS_TARGET}"-*
 do
-  strip "$i" &&
-  mv "$i" "${ARCH}"-"$(echo "$i" | sed 's/.*-//')"
+  mv "$i" "${ARCH}"-"$(echo "$i" | sed 's/.*-//')" || dienow
 done &&
 
 # Build and install gcc wrapper script.
@@ -139,6 +138,18 @@
 
 EOF
 
+# Strip everything
+
+cd "$CROSS"
+for i in `find bin -type f` `find "$CROSS_TARGET" -type f`
+do
+  strip "$i" 2> /dev/null
+done
+#for i in `find lib -type f` `find gcc/lib -type f`
+#do
+#  "${ARCH}-strip" "$i" 2> /dev/null
+#done
+
 echo -n creating cross-compiler-"${ARCH}".tar.bz2 &&
 cd "${TOP}"
 { tar cjvCf build cross-compiler-"${ARCH}".tar.bz2 cross-compiler-"${ARCH}" ||